---
title: glyphRef
slug: Web/SVG/Attribute/glyphRef
tags:
  - Deprecated
  - SVG
  - SVG Attribute
---
<div>{{SVGRef}}{{deprecated_header("SVG 2")}}</div>

<p>The <code><strong>glyphRef</strong></code> attribute represents the glyph identifier, the format of which is dependent on the {{SVGAttr("format")}} of the given font.</p>

<p>Two elements are using this attribute: {{SVGElement("altGlyph")}} and {{SVGElement("glyphRef")}}</p>

<h2 id="Usage_notes">Usage notes</h2>

<table class="properties">
 <tbody>
  <tr>
   <th scope="row">Value</th>
   <td><code>&lt;string&gt;</code></td>
  </tr>
  <tr>
   <th scope="row">Default value</th>
   <td><em>None</em></td>
  </tr>
  <tr>
   <th scope="row">Animatable</th>
   <td>Yes</td>
  </tr>
 </tbody>
</table>

<dl>
 <dt><code>&lt;string&gt;</code></dt>
 <dd>This value represents the glyph identifier. Its format depends on the {{SVGAttr("format")}} of the given font.</dd>
</dl>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName("SVG1.1", "text.html#GlyphRefElementGlyphRefAttribute", "glyphRef for &lt;glyphRef&gt;")}}</td>
   <td>{{Spec2("SVG1.1")}}</td>
   <td>Initial definition for <code>&lt;glyphRef&gt;</code></td>
  </tr>
  <tr>
   <td>{{SpecName("SVG1.1", "text.html#AltGlyphElementGlyphRefAttribute", "altGlyph for &lt;altGlyph&gt;")}}</td>
   <td>{{Spec2("SVG1.1")}}</td>
   <td>Initial definition for <code>&lt;altGlyph&gt;</code></td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("svg.elements.altGlyph.glyphRef")}}</p>
